Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PGraphics

Name

### endDraw()

Examples

    PGraphics pg;

    void setup() {
      size(100, 100);
      pg = createGraphics(80, 80, P2D);
      pg.beginDraw();
      pg.background(102);
      pg.stroke(255);
      pg.line(20, 20, 80, 80);
      pg.endDraw();
      noLoop();
    }

    void draw() {
      image(pg, 10, 10);
    }

Description | Finalizes the rendering of a PGraphics object so that it can be shown on screen.

Syntax

    graphics.endDraw()

Parameters

graphics | any object of the type PGraphics

Usage | Web & Application
Related | beginDraw()

Updated on September 20, 2006 06:49:16pm PDT